SOLM 1.0 FTF Avatar
  1. OMG Issue

SOLM — The SpacePython mapping is too vague to insure compatible implementations

  • Key: SOLM-7
  • Legacy Issue Number: 17105
  • Status: closed  
  • Source: OS/COMET Product Group ( Brad Kizzort)
  • Summary:

    The SpacePython mapping is too vague to insure compatible implementations, and the example python script in the document will not cut-and-paste as a valid script. Please provide all example scripts as machine-consumable files and expand the SpacePython example to cover all of the SOLM features or add additional examples to cover the features

  • Reported: SOLM 1.0b1 — Wed, 8 Feb 2012 05:00 GMT
  • Disposition: Resolved — SOLM 1.0
  • Disposition Summary:

    Added two additional SpacePython script examples to cover the Python extensions required by
    SOLM. Created an installable Python package that contains the script examples and enough
    skeleton implementation to run the scripts on any Python-compatible platform. Also created a
    package with the equivalent CCL scripts in machine-consumable form. Regress the Python
    version compatibility requirement to 2.6 to allow working with current enterprise Linux releases.

  • Updated: Fri, 6 Mar 2015 20:58 GMT